version: '3'

services:
  mysql-db:
    image: mysql:8.0
    environment:
      MYSQL_ROOT_PASSWORD: Brac@8035
      MYSQL_DATABASE: restaurant_db
    ports:
      - "3307:3306"
    volumes:
      - mysql-data:/var/lib/mysql

  restaurant-app:
    image: restaurant-app
    ports:
      - "8080:8080"
    depends_on:
      - mysql-db
    environment:
      SPRING_DATASOURCE_URL: jdbc:mysql://mysql-db:3306/restaurant_db
      SPRING_DATASOURCE_USERNAME: root
      SPRING_DATASOURCE_PASSWORD: Brac@8035

volumes:
  mysql-data:
